Subject: Re: When to put down sod?

From: [email-masked]
Date: 13 Mar 95 13:09:49 -0600

In article <[email-masked]>, [email-masked] (Kevin Almloff) writes:
> I have a 12' x 20' mud patch in my yard that I want to sod.  Can I put down 
> the sod now, or do I need to wait for the grass to start growing again.  I'm 
> in zone 7 (Kansas City).
> 

Is this a mud patch because it was previously a garden bed, or some
other disturbed area, or is it a mudpatch because it is the area
of the yard that all the melt water collects in?  If the second
is true, you'll need to correct the drainage to that patch 
(french drains or dry wells or drainage tile) before you sod,
or you'll just be doing it again next year.

I'd wait until about the time that the grass is greening up
before I sodded... I'd like to see the roots establish quickly,
and with as little stress as possible.

Kay Klier  [email-masked]